Botan 2.19.5 Crypto and TLS for C&

Namespaces | Functions
bcrypt.cpp File Reference
`#include <botan/bcrypt.h>`
`#include <botan/rng.h>`
`#include <botan/blowfish.h>`
`#include <botan/base64.h>`
`#include <botan/parsing.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Functions
bool | Botan::check_bcrypt (const std::string &pass, const std::string &hash)
std::string | Botan::generate_bcrypt (const std::string &pass, RandomNumberGenerator &rng, uint16_t work_factor, char version)